<?php include 'connection/db_connect.php'; ?>
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <title>Create Folder using PHP</title>
        <meta content="" name="description">
        <meta content="" name="keywords">

        <!-- Favicons -->
        <link href="../logo/binlogo2.jpg" rel="icon">

        <!-- Google Fonts -->
        <link href="https://fonts.gstatic.com" rel="preconnect">
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

        <!-- Vendor CSS Files -->
        <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
        <link href="assets/vendor/remixicon/remixicon.css" rel="stylesheet">
        <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.snow.css" rel="stylesheet">
        <link href="assets/vendor/quill/quill.bubble.css" rel="stylesheet">
        <link href="assets/vendor/simple-datatables/style.css" rel="stylesheet">

        <!-- Template Main CSS File -->
        <link href="assets/css/style.css" rel="stylesheet">

        <!-- =======================================================
        * Template Name: NiceAdmin - v2.1.0
        * Template URL: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/
        * Author: BootstrapMade.com
        * License: https://bootstrapmade.com/license/
        ======================================================== -->
    </head>
    <style type="text/css">
        .btn-folder{
            margin-right: 5px;
            box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19);
            background-color: #D3AC02;
            color: white; 
        }
        .btn-file{
            margin-right: 5px;
            box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19);
        }

        .btn-showFolder{
            box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19);
            background-color: #D3AC02;
            color: white;
        } 
        #mime{
             box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.2), 0 1px 1px 0 rgba(0, 0, 0, 0.19);
        }
        .bi-file-earmark-pdf{
           font-size: 19px;
            color: red;
        }
        .bi-file-earmark-text-fill{
           font-size: 19px;
        }
    </style>
    <body>

        <!--top navigation-->

        <!-- ======= Sidebar ======= -->

        <?php
        $f_input = false;
        if (isset($_GET['click_folder'])) {

            $f_id = $_GET['click_folder'];

            $query = $connect->query("SELECT * FROM folders WHERE id = '$f_id'") or die(mysqli_error());

            $fetch = $query->num_rows;
            if ($fetch > 0) {
                $f_input = true;
                $row = $query->fetch_array();
                $folders_id = $row['id'];
                $folderName = $row['name'];
            }
        }

        #this query is for chanign audience of personl documents
        //change audience of available file
            if (isset($_POST['update_aud'])) {
                $id = $_POST['aud_id'];
                $aud =  $_POST['checkb'];

                $connect->query("UPDATE my_document SET public = '$aud' WHERE  id='$id'") or die($connect->error);

                $_SESSION['message'] = "Changed successfully!";
                $_SESSION['msg_type'] = "warning";
            }
        ?>

        <main id="main" class="main">

            <div class="pagetitle">
                <nav>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="my_personal_documents.php">Home</a></li>
                        <li class="breadcrumb-item">Documents Inventory</li>
                        <li class="breadcrumb-item active">My Personal Documents</li>
                    </ol>
                </nav>
            </div><!-- End Page Title -->

            <section class="section">
                <!--this div is for folder that has been open-->
                <div class="card-body">
                    <!--this query is for all displaying th folder if parent folder is selected-->
                    <?php
                    $click_fold = false;

                    if (isset($_GET['click_folder'])) {
                        $f_id = $_GET['click_folder'];

                        $query = $connect->query("SELECT * FROM folders WHERE id = '$f_id'") or die(mysqli_error());

                        $fetch = $query->num_rows;
                        if ($fetch > 0) {

                            while ($fold_row = $query->fetch_array()) { 
                                $parent_id = $fold_row['parent_id'];
                                $click_fold = true;
                                $fold_n = $fold_row['name'];
                                ?>
                                <?php
                            }
                        }
                    }
                    ?>
                </div>
                </div>  

                <!--this div is for folder that has not open-->
                <div class="card col-lg-8">
                    <div class="card-body">
                        <!--create folder and upload file button-->
                        <div style="float: right; margin-top: 5px;">
                            <button type="button" class="btn btn-sm btn-folder" data-bs-toggle="modal" data-bs-target="#new_folder"><i class="bi bi-folder-plus" id="folder" data-bs-toggle="tooltip" data-bs-placement="left" title="Create new folder"></i> Folder</button>

                            <button type="button" class="btn btn-sm btn-secondary btn-file" data-bs-toggle="modal" data-bs-target="#upload_new"><i class="bi bi-file-earmark-arrow-up" data-bs-toggle="tooltip" data-bs-placement="left" title="Upload new file"></i> File</button>

                        </div><!-- end of create folder and upload file button-->

                        <h5 class="card-title"><a href="my_personal_documents.php?click_folder=<?php echo $parent_id ?>" name="click_folder"><i id="icn_back" class="bi bi-arrow-left-circle btn-outline-primary btn-sm" style="font-size: 20px;"></i></a> Folder(s) 

                            <?php if ($click_fold === true): ?>
                                <label style="font-size: 14px; color: gray;"><i class="bi bi-caret-right"></i> <i class="bi bi-folder2-open"></i> <?php echo $fold_n ?></label>
                            <?php else: ?>
                            <?php endif; ?>
                        </h5>
                        <!--this query is for all displaying th folder if parent folder is selected-->
                        <?php
                        if (isset($_GET['click_folder'])) {
                            $f_id = $_GET['click_folder'];

                            $query = $connect->query("SELECT * FROM folders WHERE parent_id = '$f_id'") or die(mysqli_error());

                            $fetch = $query->num_rows;
                            if ($fetch > 0) {

                                while ($fold_row = $query->fetch_array()) {
                                    ?>
                                    <a type="button" class="btn mb-2 btn-sm btn-showFolder" href="my_personal_documents.php?click_folder=<?php echo $fold_row['id']; ?>" name="click_folder">
                                        <?php echo $fold_row['name'] ?> <i class="bi bi-folder" id="folder"></i>
                                    </a>
                                    <?php
                                }
                            } else {
                                
                            }
                        } else {
                            $query = $connect->query("SELECT * FROM folders WHERE parent_id = '0'") or die(mysqli_error());
                            while ($fold_row = $query->fetch_array()) {
                                ?>


                                <a type="button" class="btn mb-2 btn-sm btn-showFolder" href="my_personal_documents.php?click_folder=<?php echo $fold_row['id']; ?>" name="click_folder">
                                    <?php echo $fold_row['name'] ?> <i class="bi bi-folder" id="folder"></i>
                                </a>
                                <?php
                            }
                        }
                        ?><br>
                        <!--show all folders-->
                        <a style="color: green;" style="margin-right: 5px;" href="showAllFolders.php"> Show all folders <i class="bi bi-arrow-right-circle"></i></a><!--show all folders-->
                      
                        <?php if(isset($_SESSION['message'])): ?>
                                    <div class="alert alert-<?= $_SESSION['msg_type'] ?> alert-dismissible fade show col-lg-12 mt-1" role="alert">
                                        <i class="bi bi-check-circle me-1"></i>

                                        <?php
                                            echo $_SESSION['message'];
                                            unset($_SESSION['message']);
                                        ?>
                                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                     </div>
                                <?php endif; ?>

                        <!--multi upload-->
                        <?php
                        $phpFileUploadErrors = array(
                            0 => 'File upload successfully',
                            1 => 'the upload file exceed the  upload_max_filesize directive in php.ini',
                            2 => 'the upload file exceed the MAX_FILE_SIZE directive that was specified in the HTML form',
                            3 => 'the upload file was only partially uploaded',
                            4 => 'no file was uploaded',
                            5 => 'missing a temporary folder',
                            6 => 'failed to write file to disc',
                            7 => 'a php extension stopped the file upload',
                        );

                        if (isset($_FILES['upload'])) {

                            $file_array = reArrayFiles($_FILES['upload']);
                            //pre_r($file_array);
                            for ($i = 0; $i < count($file_array); $i++) {
                                if ($file_array[$i]['error']) {
                                    ?><div class="alert alert-danger">
                                    <?php echo $file_array[$i]['name'] . ' - ' . $phpFileUploadErrors[$file_array[$i]['error']];
                                    ?></div><?php
                                } else {
                                    $extensions = array('pdf','jpeg', 'jpg', 'png','gif','pptx','ppt','docx','doc','xlsx','sql','txt','xlsx','xls','xlsm','xlsb','xltm','xlt','xla','xlr');
                                    $file_ext = explode('.', $file_array[$i]['name']);
                                    $file_ext = end($file_ext);
                                    $file_size = $file_array[$i]['size'];
                                    $file_type = $file_array[$i]['type'];

                                    $check = $_POST['checkb'];
                                    $f_id = $_POST['folder_id'];
                                    $ma_id = $_POST['my_id'];


                                    if (!in_array($file_ext, $extensions)) {
                                        ?>
                                        <div class="alert alert-danger">

                                            <?php echo "{$file_array[$i]['name']} - invalid file extension" ?>

                                        </div>

                                        <?php
                                    } else {
                                        if (move_uploaded_file($file_array[$i]['tmp_name'], "my_documents/" . $file_array[$i]['name'])) {
                                            $connect->query("INSERT INTO my_document(file,type,size,user_id_num,folder_id,public,date_upload)

                                                 VALUES('" . $file_array[$i]['name'] . "','$file_type','$file_size','$ma_id','$f_id','$check',NOW())");
                                        }
                                        ?>
                                        <div class="alert alert-success">
                                            <?php echo $file_array[$i]['name'] . ' - ' . $phpFileUploadErrors[$file_array[$i]['error']] ?>
                                        </div>

                                        <?php
                                    }
                                }
                            }
                        }

                        function reArrayFiles($file_post) {

                            $file_ary = array();
                            $file_count = count($file_post['name']);
                            $file_keys = array_keys($file_post);

                            for ($i = 0; $i < $file_count; $i++) {
                                foreach ($file_keys as $key) {
                                    $file_ary[$i][$key] = $file_post[$key][$i];
                                }
                            }

                            return $file_ary;
                        }

                        function pre_r($array) {
                            echo '<pre>';
                            print_r($array);
                            echo '</pre>';
                        }//end multi upload-->





                                    //creating my folder
                                if (isset($_POST['create'])) {
                                    $fold_name = $_POST['folder_n'];
                                    $u_id = $_POST['my_id'];
                                    $parent_id = $_POST['folder_id'];
                                    $connect->query("INSERT INTO folders (name,parent_id,user_id_num)SELECT * FROM (SELECT '$fold_name','$parent_id','$u_id') AS tmp 
                                      WHERE NOT EXISTS (SELECT user_id_num,name FROM folders WHERE name = '$fold_name' AND user_id_num = '$u_id') LIMIT 1");
                                    $_SESSION['message'] = "Folder has been created successfully!";
                                    $_SESSION['msg_type'] = "success";
                                }
                                //end////
                        ?> 

                    </div>
                </div>


                <div class="row">
                    <div class="col-lg-8">
                        <?php
                        $result = $connect->query("SELECT * FROM my_document") or die($connect->error);
                            
                        ?>
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">Recent add
                                    <!--this code is diplaying the folder name if the variable $f_input is click-->
                                    <!--code reference is form line below body tag and above div ding2_bg div-->
                                    <?php if ($f_input == true): ?>
                                        <label style="font-size: 15px; color: gray;"><i class="bi bi-caret-right"></i> <i class="bi bi-folder2-open"></i> <?php echo $folderName ?></label>
                                    <?php endif; ?>
                                </h5>
                                <!-- Table with stripped rows -->
                                <div class="table-responsive">
                                    <table class="table datatable table-borderless table-hover">
                                        <thead>
                                            <tr>
                                                <th scope="col">Name</th>
                                                <th scope="col">Date Upload</th>
                                                <th scope="col">Size(kb)</th>

                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            if (isset($_GET['click_folder'])) {
                                                $f_id = $_GET['click_folder'];

                                                $query = $connect->query("SELECT * FROM my_document WHERE folder_id = '$f_id' ORDER BY id DESC") or die(mysqli_error());

                                                $fetch = $query->num_rows;
                                                if ($fetch > 0) {
                                                    while ($row = $query->fetch_array()) {
                                                        $name = $row['file'];
                                                        $newName = pathinfo($name, PATHINFO_FILENAME);
                                                        $path = $row['file'];
                                                        $ext = pathinfo($path, PATHINFO_EXTENSION);

                                                        $docs_array = array('docx','doc');
                                                        $ppt_array = array('pptx','ppt');
                                                        $pdf_array = array('pdf','ps','eps','prn');
                                                        $excel_array = array('xlsx','xls','xlsm','xlsb','xltm','xlt','xla','xlr');
                                                        ?>
                                                        <tr>
                                                            <?php if (in_array($ext, $docs_array)): ?>
                                                                 <td><img src="../mime/ms-word.png" width="24" height="24"> <?php echo $newName ?></td>
                                                            <?php elseif(in_array($ext, $pdf_array)): ?>
                                                                 <td><i class="bi bi-file-earmark-pdf"></i> <?php echo $newName ?></td>
                                                            <?php elseif(in_array($ext, $excel_array)): ?>
                                                                 <td><img src="../mime/ms-excel.png" width="24" height="24"> <?php echo $newName ?></td>
                                                             <?php elseif(in_array($ext, $ppt_array)): ?>
                                                                 <td><img src="../mime/powerp.png" width="19" height="19"> <?php echo $newName ?></td>
                                                            <?php elseif($ext == 'sql'): ?>
                                                                 <td><img src="../mime/sql3.png" width="22" height="20"> <?php echo $newName ?></td>
                                                            <?php elseif($ext == 'txt'): ?>
                                                                 <td><i class="bi bi-file-earmark-text-fill text-secondary"></i> <?php echo $newName ?></td>
                                                            <?php else: ?>
                                                                 <td><img id="mime" src="my_documents/<?php echo $row['file'] ?>" width="20" height="20"> <?php echo $newName ?></td>
                                                            <?php endif; ?>
                                                            <td><?php echo date('m/d/Y h:i A', strtotime($row['date_upload'])) ?></td>
                                                            <td><?php echo number_format($row['size']) ?></td>
                                                            <td>
                                                                <a href="#" data-bs-toggle="dropdown">

                                                                    <i class="bi bi-three-dots-vertical dropdown"></i>
                                                                </a><!-- End Profile Iamge Icon -->

                                                                <ul class="dropdown-menu dropdown-menu-end profile">

                                                                    <li>
                                                                        <a data-bs-toggle="modal" class="dropdown-item d-flex align-items-center" href="#delete_docs<?php echo $row['id']; ?>">
                                                                            <i class="bi bi-trash"></i>
                                                                            <span>Delete</span>
                                                                        </a>    
                                                                    </li>


                                                                    <li>
                                                                        <a class="dropdown-item d-flex align-items-center" href="#edit_docs<?php echo $row['document_id'] ?>">
                                                                            <i class="bi bi-pen"></i>
                                                                            <span>Edit</span>
                                                                        </a>
                                                                    </li>
                                                                </ul><!-- End Profile Dropdown Items -->

                                                            </td>
                                                            <?php include 'personal_documents_modal.php'; ?>
                                                        </tr>
                                                        <?php
                                                    }
                                                } else {
                                                    echo'
                                        <tr>
                                            <td colspan = "4"><center>folder is empty! <a data-bs-toggle="modal" href="#upload_new">click here</a>
                                             to upload new.</center></td>
                                        </tr>';
                                                }
                                            } else {
                                                $query = $connect->query("SELECT * FROM my_document WHERE folder_id = '0' ORDER BY id DESC") or die(mysqli_error());
                                                while ($row = $query->fetch_array()) {
                                                        $name = $row['file'];
                                                        $newName = pathinfo($name, PATHINFO_FILENAME);
                                                        $path = $row['file'];
                                                        $ext = pathinfo($path, PATHINFO_EXTENSION);

                                                        $docs_array = array('docx','doc');
                                                        $ppt_array = array('pptx','ppt');
                                                        $pdf_array = array('pdf','ps','eps','prn');
                                                        $excel_array = array('xlsx','xls','xlsm','xlsb','xltm','xlt','xla','xlr');
                                                    ?>


                                                    <tr>    
                                                        <?php if (in_array($ext, $docs_array)): ?>
                                                                 <td><img src="../mime/ms-word.png" width="24" height="24"> <?php echo $newName ?></td>
                                                            <?php elseif(in_array($ext, $pdf_array)): ?>
                                                                 <td><i class="bi bi-file-earmark-pdf"></i> <?php echo $newName ?></td>
                                                            <?php elseif(in_array($ext, $excel_array)): ?>
                                                                 <td><img src="../mime/ms-excel.png" width="24" height="24"> <?php echo $newName ?></td>
                                                             <?php elseif(in_array($ext, $ppt_array)): ?>
                                                                 <td><img src="../mime/powerp.png" width="19" height="19"> <?php echo $newName ?></td>
                                                            <?php elseif($ext == 'sql'): ?>
                                                                 <td><img src="../mime/sql3.png" width="22" height="20"> <?php echo $newName ?></td>
                                                            <?php elseif($ext == 'txt'): ?>
                                                                 <td><i class="bi bi-file-earmark-text-fill text-secondary"></i> <?php echo $newName ?></td>
                                                            <?php else: ?>
                                                                 <td><img id="mime" src="my_documents/<?php echo $row['file'] ?>" width="20" height="20"> <?php echo $newName ?></td>
                                                            <?php endif; ?>
                                                        <td><?php echo date('m/d/Y h:i A', strtotime($row['date_upload'])) ?></td>
                                                        <td><?php echo number_format($row['size']) ?></td>
                                                        <td>
                                                            <a href="#" data-bs-toggle="dropdown">

                                                                <i class="bi bi-three-dots-vertical dropdown"></i>
                                                            </a><!-- End Profile Iamge Icon -->

                                                            <ul class="dropdown-menu dropdown-menu-end profile">
                                                               
                                                                <li>
                                                                    <a data-bs-toggle="modal" class="dropdown-item d-flex align-items-center" href="#delete_docs<?php echo $row['id']; ?>">
                                                                        <i class="bi bi-trash"></i>
                                                                        <span>Delete</span>
                                                                    </a>
                                                                </li>


                                                                <li>
                                                                    <a class="dropdown-item d-flex align-items-center" href="#">
                                                                        <i class="bi bi-pen"></i>
                                                                        <span>Edit</span>
                                                                    </a>
                                                                </li>

                                                            </ul><!-- End Profile Dropdown Items -->
                                                        </td>
                                                        <?php include 'personal_documents_modal.php'; ?>
                                                    </tr>
                                                    <?php
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- End Table with stripped rows -->

                            </div>
                        </div>

                    </div>
                </div>
            </section>
            
            


            <script src="jquery.min.js"></script>
            <?php include 'personal_documents_modal.php'; ?>
            <?php include 'manage_folder_modal.php'; ?>

        </main><!-- End #main -->

       

        <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

        <!-- Vendor JS Files -->
        <script src="assets/vendor/bootstrap/js/bootstrap.bundle.js"></script>
        <script src="assets/vendor/php-email-form/validate.js"></script>
        <script src="assets/vendor/quill/quill.min.js"></script>
        <script src="assets/vendor/tinymce/tinymce.min.js"></script>
        <script src="assets/vendor/simple-datatables/simple-datatables.js"></script>
        <script src="assets/vendor/chart.js/chart.min.js"></script>
        <script src="assets/vendor/apexcharts/apexcharts.min.js"></script>
        <script src="assets/vendor/echarts/echarts.min.js"></script>

        <!-- Template Main JS File -->
        <script src="../assets/js/main.js"></script>


    </body>

</html>